Bug 129419 - xpdf buffers key events badly (doesn't stop)
Summary: xpdf buffers key events badly (doesn't stop)
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: xpdf   
(Show other bugs)
Version: 3
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-08-08 19:08 UTC by Carlos Rodrigues
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-02 13:20:06 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Carlos Rodrigues 2004-08-08 19:08:11 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7)
Gecko/20040803 Firefox/0.9.3

Description of problem:
If I press "Page Down"/"Page Up" on my keyboard or scroll a pdf with
the mouse wheel, xpdf only stops when all events are handled. This
means that If I scroll the mouse wheel a couple of times on a PDF, it
takes a very long time for xpdf to stop scrolling pages.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.open a pdf in xpdf
2.press "page down" for some time or scroll the mouse wheel a couple
of times
    

Actual Results:  xpdf takes forever to stop scrolling

Expected Results:  It should stop scrolling as soon as one releases
the key or stops moving the mouse wheel.

Additional info:

Comment 1 Matthew Miller 2005-04-26 15:14:55 UTC
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.

Comment 2 Ngo Than 2005-08-02 13:20:06 UTC
i'm not able to reproduce this problem with xpdf-3.00-10.4 in FC3 or new one in FC4.


Note You need to log in before you can comment on or make changes to this bug.